curl --request GET \
--url https://api.growthchannel.io/creative/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544
Public endpoints
Creative Report
Get creative performance data aggregated by creative name.
GET
/
creative
/
?date_from=
{date_from}
&date_to=
{date_to}
&advertiser_id=
{advertiser_id}
curl --request GET \
--url https://api.growthchannel.io/creative/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544
Maximum date range 365 days
This endpoint is protected and requires an agency API key for access.
curl --request GET \
--url https://api.growthchannel.io/creative/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544
Method
GETEndpoint
/creative/Headers
string
required
The agency’s API key for authorization. Contact an admin to get one.
Parameters
string
required
Start date in YYYY-MM-DD format.
string
required
End date in YYYY-MM-DD format.
integer
required
The unique identifier for the advertiser.
integer
default:"0"
Page number for pagination.
string
default:"impressions"
Column to sort by.
string
default:"DESC"
Sort order (ASC/DESC).
integer
Filter by a specific campaign ID.
string
default:"false"
Include campaign information (true/false).
string
Search filter for creative names.
Responses
- 200 OK
- 400 Bad Request
- 401 Unauthorized
- 500 Internal Server Error
{
"data": [
{
"date": "2025-04-30",
"campaign_name": "Name | Name2 | 11111",
"impressions": 208,
"reach": 0,
"frequency": 0.0,
"clicks": 1,
"total_conversions": 0,
"engagements": 0,
"video_audio_views": 0,
"video_audio_complete": 0,
"total_revenue": 0.0,
"total_spend": 0.909,
"cpm": 4.368,
"cpc": 0.909,
"cpa": 0.0,
"cpv": 0.004,
"cpv_video": 0.0,
"cpcv_video": 0.0,
"roas": 0.0,
"matched_bid_opp": 393941000,
"vcr": 0.0,
"ctr": 0.48,
"campaign_ids": {
"growth": [
11111
]
},
"advertiser_ids": {
"growth": [
11111
]
},
"dsp": "Beeswax"
},
],
"pagination": {
"current_page": 0,
"total_pages": 5,
"total_count": 100
},
"with_campaign": true,
"search": "banner"
}
array
An array of creative performance objects.
Returned if required query parameters like
date_from or date_to are missing.{
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required parameters",
"details": {
"missing_fields": ["date_from", "date_to"]
},
"request_id": "..."
}
}
Returned if the
X-Api-Key header is missing or invalid.Returned if there is an unexpected error on the server while fetching data.
